# Class: c3.Plot.Layer.Swimlane Abstract

Defined in: | js/c3-layers.coffee
Inherits: | c3.Plot.Layer

## Overview

This class is abstract.

Base abstract class for XY Plot layers with horizontal swim lanes. Swimlanes are numbered based on the vertical scale domain for the layer. The first entry in the domain is the top swimlane and the last entry is the bottom swimlane plus 1. If the first and last domain values are equal, then there are no swimlanes rendered.

## Extensibility

The following c3.Selection members are made available if appropriate:

- lanes - svg:rect's for each swimlane
- tip - HTML hover content

### Author:

- Douglas Armstrong

## Direct Known Subclasses

c3.Plot.Layer.Swimlane.Segment c3.Plot.Layer.Swimlane.Sampled

## Variables Summary

type =

      'swimlane'

dy =

      undefined

  [Number] Height of a swimlane in pixels. Chart height will be adjusted if number of swimlanes changes in a redraw()

hover =

      undefined

  [Function] Provide HTML content for a hover div when mousing over the layer This callback will be called with the datum and index of the item being hovered over. It will be called with null when hovering over the layer but not any data items.

lane_options =

      undefined

  [c3.Selection.Options] Options for the lane svg:rect nodes for swimlanes

### Variable inherited from c3.Plot.Layer

version type _next_uid data name class static_data h v x y options handlers restyle

## Instance Method Summary

- # (void) _init() Bound
- # (void) _size() Bound
- # (void) _update() Bound
- # (void) _draw(origin) Bound
- # (void) _style() Bound

## Inherited Method Summary

### Methods inherited from c3.Plot.Layer

#init #size #update #draw #style #zoom #redraw #scale #min_x #max_x #min_y #max_y

## Instance Method Details

# (void) _init() Bound

# (void) _size() Bound

# (void) _update() Bound

# (void) _draw(origin) Bound

# (void) _style() Bound

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input